Debian Bug report logs - #295666
regex.7.gz: The [[:<:]] and [[:>:]] word boundary regexps are not supported

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Vincent Fourmond <vincent.fourmond@9online.fr>

Date: Thu, 17 Feb 2005 10:33:16 UTC

Severity: minor

Tags: fixed-upstream

Found in version 2.01-1

Fixed in version 2.09-1

Done: Justin Pryzby <justinpryzby@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#295666; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <vincent.fourmond@9online.fr>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <vincent.fourmond@9online.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: regex.7.gz: The [[:<:]] and [[:>:]] word boundary regexps are not supported
Date: Thu, 17 Feb 2005 11:29:08 +0100
Package: manpages
Version: 2.01-1
Severity: minor
File: regex.7.gz


  Hello  !

  The regex.7.gz mentions that [[:>:]] and [[:<:]] are available to designate word boundaries. 
However, neither grep nor sed, which are build on the standard libc regcomp do recognise this syntax. 
Moreover, the small program here 

#include <regex.h>
#include <sys/types.h>
#include <iostream>

using namespace std;

int main()
{
  regex_t RE;
  int err_code = regcomp(&RE, "[[:<:]]",
			 REG_EXTENDED);
  char Buffer[100];
  if(err_code) {
    regerror(err_code, &RE, Buffer, 100);
    cerr << "Error : " << Buffer << endl;
  }
}


produces the following error message:

Error : Invalid character class name

My guess is that this feature is not implemented anymore, or has never been. Then, two solutions: 
either remove it from the documentation, or at least mention that it's not supported anymore - either 
put the feature back into libc ;-) !

  Thanks for considering this report

	Vincent Fourmond


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#295666; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 295666@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 295666@bugs.debian.org
Subject: Re: Bug#295666: regex.7.gz: The [[:<:]] and [[:>:]] word boundary regexps are not supported
Date: Thu, 21 Apr 2005 20:23:21 +0200
Hi Michael,

looks like the manpage needs an adjustment, or at least a note when
the GNU libc is used.

Regards,

	Joey

Vincent Fourmond wrote:
> Package: manpages
> Version: 2.01-1
> Severity: minor
> File: regex.7.gz
> 
> 
>   Hello  !
> 
>   The regex.7.gz mentions that [[:>:]] and [[:<:]] are available to designate word boundaries. 
> However, neither grep nor sed, which are build on the standard libc regcomp do recognise this syntax. 
> Moreover, the small program here 
> 
> #include <regex.h>
> #include <sys/types.h>
> #include <iostream>
> 
> using namespace std;
> 
> int main()
> {
>   regex_t RE;
>   int err_code = regcomp(&RE, "[[:<:]]",
> 			 REG_EXTENDED);
>   char Buffer[100];
>   if(err_code) {
>     regerror(err_code, &RE, Buffer, 100);
>     cerr << "Error : " << Buffer << endl;
>   }
> }
> 
> 
> produces the following error message:
> 
> Error : Invalid character class name
> 
> My guess is that this feature is not implemented anymore, or has never been. Then, two solutions: 
> either remove it from the documentation, or at least mention that it's not supported anymore - either 
> put the feature back into libc ;-) !
> 
>   Thanks for considering this report
> 
> 	Vincent Fourmond

-- 
Testing? What's that? If it compiles, it is good, if it boots up, it is perfect.

Please always Cc to me when replying to me on the lists.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#295666; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 295666@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>
Cc: 295666@bugs.debian.org
Subject: Re: Bug#295666: regex.7.gz: The [[:<:]] and [[:>:]] word boundary regexps are not supported
Date: Wed, 11 May 2005 18:01:03 +0200 (MEST)
> looks like the manpage needs an adjustment, or at least a note when
> the GNU libc is used.

Hi Joey,

What does "looks like" mean.  Did you research this, or just 
leave it to me? (I have limited time...) FWIW, as far as I can
tell (from reading the regcomp source), it looks like the 
man page is wrong. But it would assist in the future if you 
could have a shot at the leg work (if technically possible) 
on reports such as this. 

I have commented out that paragraph of the manual page,
and the change will appear in man-pages-2.03.

Cheers,

Michael


-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the
latest tarball
and grep the source files for 'FIXME'.

Please submit man page suggestions as "diff -u" patches
if possible.

Sign The Open Group "Developer Declaration of Independence"
http://www.opengroup.org/declaration/

+++ Neu: Echte DSL-Flatrates von GMX - Surfen ohne Limits +++
Always online ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#295666; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 295666@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>
Cc: 295666@bugs.debian.org, control@bugs.debian.org
Subject: fixed-upstream
Date: Tue, 19 Jul 2005 11:03:22 +0200 (MEST)
tags 295666 fixed-upstream
thanks

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

5 GB Mailbox, 50 FreeSMS http://www.gmx.net/de/go/promail
+++ GMX - die erste Adresse f�r Mail, Message, More +++



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Fourmond <vincent.fourmond@9online.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 295666-done@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 317037-done@bugs.debian.org, 315411-done@bugs.debian.org, 209323-done@bugs.debian.org, 330877-done@bugs.debian.org, 321131-done@bugs.debian.org, 299795-done@bugs.debian.org, 295666-done@bugs.debian.org, 326520-done@bugs.debian.org, 306517-done@bugs.debian.org, 291121-done@bugs.debian.org, 323851-done@bugs.debian.org, 323062-done@bugs.debian.org, 101433-done@bugs.debian.org, 113812-done@bugs.debian.org, 219695-done@bugs.debian.org, 294890-done@bugs.debian.org
Cc: Martin Schulze <joey@debian.org>, Michael Kerrisk <mtk-manpages@gmx.net>
Subject: fixed in recent uploads of manpages
Date: Tue, 22 Nov 2005 11:35:39 -0500
Version: 2.09-1

These bugs are all reported fixed by the upstream manpages maintainer,
Michael Kerrisk.  For my own convenience, I'm marking them all as
"fixed by version 2.09-1", even though some of them are fixed by
earlier uploads.  The bug number, correct fixed-in version, and title
are listed below:

 #317037 2.06 Difficult to understand in sscanf RETURN VALUE
 #315411 2.09 New upstream release: 2.09
 #209323 2.09 please include pty(4) manpage
 #330877 2.09 read can return EINVAL when using O_DIRECT and buffer not aligned
 #321131 2.08 exit.3 missing &quot;is&quot;
 #299795 2.07 Some library functions' manpage use wrong hyphen
 #295666 2.03 regex.7.gz: The word boundary regexps are unsupported
 #326520 2.08 'man msgget' typo: one line not displayed
 #306517 2.04 epoll_ctl(2) description differs from implementation
 #291121 2.04 flock(2) second time by same process
 #323851 2.08 getpwnam.3 manpage should clarify the scope of pw_dir
 #323062 2.08 clone(2) CLONE_PARENT_SETTID description incorrect

 #101433 2.04 "man setitimer" give bad informations
 #113812 2.04 libc6-dev: iconv prototype
 #317037 2.06 Difficult to understand in sscanf RETURN VALUE
 #219695 2.04 sysconf(3): describes _SC_2_DEV, which doesn't exist
 #294890 2.03 Typo in wait(2): "watpid"

-- 
Clear skies,
Justin



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 06:46:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:38:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.